> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check url slug

> The "Check url slug" API allows check the blog slug validation which is needed before publishing any blog post.



## OpenAPI

````yaml /api-reference/blogs/openapi.json get /blogs/posts/url-slug-exists
openapi: 3.0.0
info:
  title: Blogs API
  description: Documentation for Blogs
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: blogs
    description: Documentation for Blogs
paths:
  /blogs/posts/url-slug-exists:
    get:
      summary: Check url slug
      description: >-
        The "Check url slug" API allows check the blog slug validation which is
        needed before publishing any blog post.
      operationId: check-url-slug-exists
      parameters:
        - name: urlSlug
          required: true
          in: query
          schema:
            type: string
        - name: locationId
          required: true
          in: query
          schema:
            type: string
        - name: postId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UrlSlugCheckResponseDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    UrlSlugCheckResponseDTO:
      type: object
      properties:
        exists:
          type: boolean
          description: Indicates whether the url slug exists or not
      required:
        - exists
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````